.form-element-mathguard {
  display: flex;
  flex-direction:column;

  .form-row-captcha {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    margin-bottom: 0.25em;

    .form-field {
      width: 5em !important;
    }
  }
}

.ce-type-form_formframework > form {
  --form-gap: .625rem;
  --form-gap-vertical: 1.25rem;
  display: flex;
  flex-wrap: wrap;
  gap: var(--form-gap-vertical) var(--form-gap);
}

.ce-type-form_formframework > form > * {
  width: 100%;
}

.ce-type-form_formframework .repeatable-container {
  padding: 0;
}

.ce-type-form_formframework > form .row ,
.ce-type-form_formframework fieldset[data-repeatable-container] .form-flex-container {
  display: flex;
  flex-direction: row;
  width: 100%;
  gap: var(--form-gap-vertical) var(--form-gap);
}

.ce-type-form_formframework > form .row  {
  flex-wrap: wrap;
}

.ce-type-form_formframework fieldset[data-repeatable-container] > .form-flex-container > .row {
  align-items: end;
  width: auto;
}

.ce-type-form_formframework fieldset[data-repeatable-container] > .form-flex-container {
  flex-direction: row-reverse;
}

.ce-type-form_formframework fieldset[data-repeatable-container] > .form-flex-container > .repeatable-container {
  flex-grow: 1;
}

.ce-type-form_formframework fieldset[data-repeatable-container] > .form-flex-container > .row > legend {
  margin-bottom: 0;
}

.ce-type-form_formframework textarea ,
.ce-type-form_formframework select {
  min-height: 2.375rem;
}

.ce-type-form_formframework .ce-element,
.ce-type-form_formframework .ce-element .ce-bodytext p {
  margin-bottom: 0;
}

.ce-type-form_formframework .form-group > div[class=""]  {
  position: relative;
}

.ce-type-form_formframework .captcha {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  margin: 0;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  gap: .625rem;
  border-radius: .25rem;
  overflow: hidden;
  max-height: 2.375rem;
  z-index: 1;
}

.ce-type-form_formframework .captcha img {
  height: 100% !important;
  max-height: 100%;
}

.ce-type-form_formframework .invalid-feedback {
  position: relative;
  color: rgb(255,255,255);
  background-color: rgb(174,18,37);
  border-radius: .25rem;
  padding: .3125rem;
  display: inline-block;
}

.ce-type-form_formframework .invalid-feedback::before {
  content: "";
  position: absolute;
  bottom: 100%;
  left: .625rem;
  border: .3125rem solid transparent;
  border-bottom-color: rgb(174,18,37);
}

.ce-type-form_formframework label.control-label-required {
  font-weight: 600;
}

.ce-type-form_formframework > form .ce-element {
  margin-top: var(--form-gap-vertical);
}

.ce-type-form_formframework .form-element-mathguard,
.ce-type-form_formframework .form-check-wrapping-label {
  display: flex;
}

@media all {

  .ce-type-form_formframework .col-xs-12 {
    width: 100%;
  }

  .ce-type-form_formframework .col-xs-9 {
    width: calc(75% - var(--form-gap) / 2);
  }

  .ce-type-form_formframework .col-xs-6 {
    width: calc(50% - var(--form-gap) / 2);
  }

  .ce-type-form_formframework .col-xs-3 {
    width: calc(25% - var(--form-gap) / 2);
  }

}

@media (min-width: 30em) {

  .ce-type-form_formframework > form {
    --form-gap: 1.25rem;
    --form-gap-vertical: calc(var(--form-gap));
  }

  .ce-type-form_formframework .col-sm-12 {
    width: 100%;
  }

  .ce-type-form_formframework .col-sm-9 {
    width: calc(75% - var(--form-gap) / 2);
  }

  .ce-type-form_formframework .col-sm-6 {
    width: calc(50% - var(--form-gap) / 2);
  }

  .ce-type-form_formframework .col-sm-3 {
    width: calc(25% - var(--form-gap) / 2);
  }

}

@media (min-width: 47.5em) {

  .ce-type-form_formframework .col-md-12 {
    width: 100%;
  }

  .ce-type-form_formframework .col-md-9 {
    width: calc(75% - var(--form-gap) / 2);
  }

  .ce-type-form_formframework .col-md-6 {
    width: calc(50% - var(--form-gap) / 2);
  }

  .ce-type-form_formframework .col-md-3 {
    width: calc(25% - var(--form-gap) / 2);
  }

}

@media (min-width: 62.5em) {

  .ce-type-form_formframework > form {
    --form-gap: 2.5rem;
  --form-gap-vertical: calc(var(--form-gap) / 2);
  }

  .ce-type-form_formframework .col-lg-12 {
    width: 100%;
  }

  .ce-type-form_formframework .col-lg-9 {
    width: calc(75% - var(--form-gap-vertical));
  }

  .ce-type-form_formframework .col-lg-6 {
    width: calc(50% - var(--form-gap-vertical));
  }

  .ce-type-form_formframework .col-lg-3 {
    width: calc(25% - var(--form-gap-vertical));
  }

}
